package com.rnalice

import android.app.Activity
import android.content.Intent
import android.os.Bundle
import com.facebook.react.ReactActivity
import androidx.appcompat.app.AppCompatActivity
import com.alicebiometrics.onboarding.api.*


class CommandAddDocumentNFCActivity : ReactActivity() {

    private val REQUEST_CODE_ADD_DOCUMENT: Int = 100

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val extrasBundle = intent.extras
        val userToken = extrasBundle?.getString("userToken", "")
        val documentId = extrasBundle?.getString("documentId", "")

        val onboardingCommands = OnboardingCommands((this as AppCompatActivity) , userToken!!)

        onboardingCommands.addDocumentNFC(documentId=documentId!!, showTutorial = true,
                requestCode=REQUEST_CODE_ADD_DOCUMENT) { result ->
                    when(result){
                        is DocumentNFCOnboardingCommandResult.Failure ->{
                            val intentFailure = Intent()
                            intentFailure.putExtra("documentNFCCommandResult", result)
                            intentFailure.putExtra("extra", result.error.toString())
                            setResult(Activity.RESULT_OK, intentFailure )
                            finish()
                        }
            }
        }
    }

   override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
        super.onActivityResult(requestCode, resultCode, data)
        if(requestCode == REQUEST_CODE_ADD_DOCUMENT) {
            setResult(resultCode, data)
            finish()
        }
    }
}